Subject: Re: bug#72532: [PATCH] ; lisp/progmodes/which-func.el (which-function-mode): check buffer

From: Raffael Stocker <[email-masked]>
Date: Fri, 09 Aug 2024 19:39:01 +0200

Stefan Kangas <[email-masked]> writes:

> `buffer-list' is documented to return a list of all live buffers, so it
> would be good to understand why buffers are getting killed in this loop.
>
> In other words, are we sure that your patch is not just covering up some
> problem elsewhere?

I guess it is.  I just did some trying out and found that I can reliably
make the problem appear and disappear by enabling/disabling eglot.

I will spend some more time with this and see what more I can find out.